Subject: Re: bug#19983: 24.4; exit-emacs regression in 24.4?

From: Glenn Morris <[email-masked]>
Date: Fri, 13 Mar 2015 02:24:41 -0400

Sam Halliday wrote:

> Unfortunately, it looks like 052f924a01f8a65ca0bfc9e6584302613e019489 is
> bad. This commit seems to be older than 24.3 (emacs has a dev versioning
> convention that I don't understand). Is there another root that I could
> go back to? The point at which 24.3 and 24.4 have in common?

That's what I thought I gave you... Maybe I goofed.
I'm sure our resident git experts will tell us the right answer.

> with process handling. At the moment, building the emacs docs every
> commit is the bottleneck, not my test. Is there any way to build/install
> without the docs (or compiling the .elc files).

For bisecting, I use:

[ -e Makefile ] && make maintainer-clean
./autogen.sh
./configure --without-all --cache-file=/tmp/config.cache
make -C lib all
make -C src bootstrap-emacs
make -C src emacs

(with suitable -j# and error trapping at each stage).